package IVYZ

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"tianyuan-api/apps/api/internal/logic/IVYZ"
	"tianyuan-api/apps/api/internal/svc"
	"tianyuan-api/apps/api/internal/types"
)

func IVYZ9A2BHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.Request
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := IVYZ.NewIVYZ9A2BLogic(r.Context(), svcCtx)
		resp, err := l.IVYZ9A2B(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
