package topup

import (
	"github.com/smartwalle/alipay/v3"
	"net/http"

	"tianyuan-api/apps/gateway/internal/logic/topup"
	"tianyuan-api/apps/gateway/internal/svc"
)

func AliTopUpCallbackHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := topup.NewAliTopUpCallbackLogic(r.Context(), svcCtx)
		err := l.AliTopUpCallback(r)
		if err != nil {
			alipay.ACKNotification(w)
		}
	}
}
