package errs

// 常见错误
var (
	ErrNotFound             = NewAppError(1000, "查询为空")
	ErrSystem               = NewAppError(1001, "接口异常")
	ErrParamDecryption      = NewAppError(1002, "参数解密失败")
	ErrParamValidation      = NewAppError(1003, "基础参数校验不正确")
	ErrUnauthorizedIP       = NewAppError(1004, "未经授权的IP")
	ErrMissingAccessID      = NewAppError(1005, "缺少Access-Id")
	ErrUnauthorizedAccessID = NewAppError(1006, "未经授权的AccessId")
	ErrInsufficientBalance  = NewAppError(1007, "账户余额不足，无法请求")
	ErrProductNotAvailable  = NewAppError(1008, "未开通此产品")
	ErrDataSource           = NewAppError(2001, "业务失败")
)
