package types

import (
	"tianyuan-api/apps/gateway/internal/validator"
)

func (l *RegisterReq) Validate() error {
	if err := validator.ValidateUsername(l.Username); err != nil {
		return err
	}
	if err := validator.ValidatePassword(l.Password); err != nil {
		return err
	}
	if err := validator.ValidatePhoneNumber(l.Phone); err != nil {
		return err
	}

	// 其他逻辑
	return nil
}
