package models

import "time"

type ApiRequestMessage struct {
	TransactionID string    `json:"transactionID"`
	UserId        int64     `json:"userId"`
	ProductCode   string    `json:"productCode"`
	Status        string    `json:"status"`  // 1. success  2. error
	Charges       bool      `json:"charges"` // 是否扣费
	Remark        string    `json:"remark"`
	Timestamp     time.Time `json:"timestamp"` // 添加时间戳
}
